kill one more INSTALL

This commit is contained in:
espie 2004-10-26 19:03:23 +00:00
parent 923b147032
commit 699959a3f0
4 changed files with 8 additions and 92 deletions

View File

@ -1,26 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.4 2004/04/14 18:59:08 xsa Exp $
#
# zebra deinstallation
# exit on errors, use a sane path and prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
CONFIG_DIR=${CONFDIR}
if [ ${PKG_DELETE_EXTRA} != Yes -a -d $CONFIG_DIR ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -rf $CONFIG_DIR"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,64 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.3 2003/05/12 18:02:45 sturm Exp $
#
# Pre/post-installation setup of zebra
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${CONFDIR}
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/zebra
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files in $CONFIG_DIR,"
echo "| have NOT been changed. You may want to compare them to the"
echo "| current sample files in $SAMPLE_CONFIG_DIR,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_notice_conf()
{
install -d -o root -g wheel -m 755 $CONFIG_DIR
echo
echo "+---------------"
echo "| Sample $1 configuration files have been installed in"
echo "| $SAMPLE_CONFIG_DIR. Please rename and install these files"
echo "| into $CONFIG_DIR. Change the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -d $CONFIG_DIR ]; then
do_notice_conf $1
else
do_notice $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

5
net/zebra/pkg/MESSAGE Normal file
View File

@ -0,0 +1,5 @@
Current sample configuration files are in
${PREFIX}/share/examples/zebra
You will need to compare, copy and customize these into
actual configuration files under ${CONFDIR}

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.15 2004/09/18 13:01:48 espie Exp $
@comment $OpenBSD: PLIST,v 1.16 2004/10/26 19:03:23 espie Exp $
@conflict quagga-*
bin/vtysh
@info info/zebra.info
@ -18,6 +18,7 @@ sbin/zebra
share/doc/zebra/
share/doc/zebra/README
share/examples/zebra/
@sample ${CONFDIR}/
share/examples/zebra/bgpd.conf.sample
share/examples/zebra/bgpd.conf.sample2
share/examples/zebra/ospf6d.conf.sample
@ -26,4 +27,4 @@ share/examples/zebra/ripd.conf.sample
share/examples/zebra/ripngd.conf.sample
share/examples/zebra/vtysh.conf.sample
share/examples/zebra/zebra.conf.sample
@extraunexec rm -rf ${CONFDIR}
@extraunexec rm -rf ${CONFDIR}/*